/***************************************************************
 **   This is the header that obtains a NxN upper triangular  **
 ** matrix, from a non-singular NxN matrix. Also solveU,      **
 ** solves the linear equation defined by this upper          **
 ** triangular matrix.                                        **
 **                   Written by Emre Tuncer                  **
 **                    6.1990, METU, Ankara                   **
 **             Last Modified : 3.1996, Sangwoo Kim           **
/***************************************************************/

complex **matrix(int,int);
double **dmatrix(int,int);
void mfree(complex**,int);
void dmfree(double**,int);
void pr(complex** B,int N,int M=0);
void toU(complex**,int,complex**,int);
complex** solveU(complex**,int,complex**,int);
complex det(complex**,int);
complex** inverse(complex**,int);
double** allocator(int );
void delocator(int ,double** );
