#include <math.h>
#include <errno.h>

#ifndef HUGE_VAL
#define HUGE_VAL MAXDOUBLE
#endif

class complex {
 public:
  double x,y;
  void eq(double,double);
};


double cabs_(complex);
double mag(double,double);
complex conj(complex);
complex neg(complex);
complex operator* (complex,complex);
complex operator* (complex,double);
complex operator* (double,complex);
complex mul(complex,complex);
complex operator/ (complex,complex);
complex operator/ (complex,double);
complex operator/ (double,complex);
complex div_(complex,complex);
complex operator+ (complex,complex);
complex operator+ (complex,double);
complex operator+ (double,complex);
complex add(complex,complex);
complex operator- (complex,complex);
complex operator- (complex,double);
complex operator- (double,complex);
complex sub(complex,complex);
complex r2c(double,double);
double arg(complex);
complex cexp(complex);
complex Clog(complex);
complex csinh(complex);
complex ccosh(complex);
complex ctanh(complex);
complex csin(complex);
complex ccos(complex);
complex cpow(complex,double);
double RE(complex);
double IM(complex);
