/* This part calls assignment of EII either plane wave model */
/* or transmission line model */
#include "weeks.h"
#include "Zs.h"
#include <stdio.h>


complex Filament::zs(double w)
{
  if (pos==10) return Zcir(w,parent);
  else if (pos==20) return r2c(1./(parent->si*(x2-x1)*(y2-y1)),0);
  else if (pos==4 || pos==5) return Ztrap(w,parent,pos);
  else if (pos==3) return Zplt(w,parent,2)
	/(fabs(x2-x1) > fabs(y2-y1) ? fabs(x2-x1) : fabs(y2-y1));
  else if (pos==2) return Zplt(w,parent,1)
	/(fabs(x2-x1) > fabs(y2-y1) ? fabs(x2-x1) : fabs(y2-y1));
  else if (parent->surf==3) {  
    if (pos==0) return Zs(w,parent,x1,x2,y1,y2,pos)/fabs(x2-x1);
    else return Zs(w,parent,x1,x2,y1,y2,pos)/fabs(y2-y1);
  }
  else {
    if (parent->surf==4)                
	  return 
	       ZsBTL(w,parent,x1,x2,y1,y2)
	       /(fabs(x2-x1) > fabs(y2-y1) ? fabs(x2-x1) : fabs(y2-y1));
  }
  return r2c(0,0);
}

